Subject: Re: [mpls-tp] draft-bao-mpls-tp-path-transfer-reqs

From: Curtis Villamizar <[email-masked]>
Date: Sun, 11 Apr 2010 02:41:50 -0400

In message <[email-masked]>
Vishwas Manral writes:
>  
> Hi,
>  
> I am very happy to see new inputs from different people and vendors.
>  
> I looked at the draft and was wondering what is not covered in RFC
> 5493 which is for GMPLS control plane/ MP which is probably the
> control plane for MPLS-TP. Is there any MPLS-TP specific requirement?
>  
> Thanks,
> Vishwas

Vishwas,

Good point.  I've read this and forgot all about it.  It doesn't seem
that a new requirements draft is needed at all.

BTW- Your message may have been overlooked due to the 5 concurrent
last calls related to MPLS-TP.

Curtis

---

From: Zhi-Wei Lin <[email-masked]>
Date: Sun, 11 Apr 2010 10:34:46 -0400

Hi,

In RFC 5654, section 2.4, req. #55 states:

   55  An MPLS-TP control plane MUST provide a mechanism for dynamic
       ownership transfer of the control of MPLS-TP transport paths from
       the management plane to the control plane and vice versa.  The
       number of reconfigurations required in the data plane MUST be
       minimized (preferably no data-plane reconfiguration will be
       required).

This seems to cover the general requirement of this draft. Can RFC 5654 be
updated to include this, or does it need to be a separate document?

Thanks
Zhi

On Sun, Apr 11, 2010 at 2:41 AM, Curtis Villamizar <[email-masked]> wrote:

> _______________________________________________
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 11 Apr 2010 18:47:49 +0100

Hi,

I'm confused. You are asking whether RFC 5654 can be updated to include 
something.

I presume that the something you want included is some specific requirement 
covered in draft-bao-mpls-tp-path-transfer-reqs that you do not feel is 
covered in RFC 5654.

IMHO, R55 of RFC5654 covers both LSPs and PWs since both are "MPLS-TP 
transport path" and there is nothing further that needs to be done.

If you want to take this further, I suggest you develop the text that you 
want to see documented somewhere, and we will more easily be able to work 
out where it belongs.

Cheers,
Adrian

----- Original Message ----- 
From: "Zhi-Wei Lin" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Sunday, April 11, 2010 3:34 PM
Subject: Re: [mpls-tp] draft-bao-mpls-tp-path-transfer-reqs

>> last calls related to MPLS-TP.

--------------------------------------------------------------------------------

---

From: Zhi-Wei Lin <[email-masked]>
Date: Sun, 11 Apr 2010 21:03:48 -0400

Sorry, I was merely stating if it is needed to create a new document based
on draft-bao, can we instead update RFC 5654.

R55 is one requirement in RFC 5654. Draft-bao does have many more
requirements that go into further details related to R55. For example,
draft-bao's section 2.1, reqts #2, #3, & #5 do not seem to be documented in
RFC 5654.

I have no preference. Just trying to help the process along.

Thanks
Zhi

On Sun, Apr 11, 2010 at 1:47 PM, Adrian Farrel <[email-masked]> wrote:

> ----- Original Message ----- From: "Zhi-Wei Lin" <[email-masked]>
> To: <[email-masked]>

---

From: Vishwas Manral <[email-masked]>
Date: Sun, 11 Apr 2010 22:20:57 -0700

Hi Zhi,

Thanks for pointing out sections in the specs. So I looked at points
#2, #3 and #5 as you mentioned.

1. Regarding #2 - the first part seems the same as #1. Regarding the
second part I am a bit confused what it means.

       LSP and PW MUST follow the same transport path through the
network and MUST use the same network resources.

A PW works over an LSP. Can we have a LSP and PW follow different
transport paths? If not then the requirement is moot right?

It seems the point is probably a generalization of RFC 5493

5.1. Data Plane LSP Consistency

   The data plane LSP MUST stay in place throughout the whole control
   transfer process.  It MUST follow the same path through the network
   and MUST use the same network resources.

2. I am unsure what point #3 means. Can you elaborate on it please?

3. #5 seems like a new requirement as you are now stating that Control
to Management plane transfer is also a MUST while the older spec RFC
5493 states it is a SHOULD. Is there a reason for the change in
requirement as compared to the GMPLS case?

Thanks,
Vishwas

On Sun, Apr 11, 2010 at 6:03 PM, Zhi-Wei Lin <[email-masked]> wrote:
>> I presume that the something you want included is some specific
>> requirement covered in draft-bao-mpls-tp-path-transfer-reqs that you do not
>> feel is covered in RFC 5654.
>>

---

From: [email-masked]
Date: Mon, 12 Apr 2010 14:55:18 +0800

Hi,all,

  RFC5654 does discribe the requirements for MPLS-TP path transfer, but it 
doesn't give 
  the detailed requirements for PW and LSP. Furthermore, the requirements 
listed in RFC5493, 
  which mainly apply to co-routed bidirectional and unidirectional LSPs, 
don't include all 
  the requirements for PW and associated LSP. So, to support the PW 
transfer and the associated 
  LSP transfer, another requirements should be explored. And 
draft-bao-mpls-tp-path-transfer-reqs 
  will be improved based on the discusssion in the 77th meeting. 

  As for whether these requirements should be documented in a new draft, 
it can be decided by the WG.
  We just input the materials to the WG and help the process.

  Thanks for your comments!

Regards,
Yuanlin Bao

[email-masked] 写于 2010-04-12 09:03:48:

> Sorry, I was merely stating if it is needed to create a new document
> based on draft-bao, can we instead update RFC 5654.
> 
> requirements that go into further details related to R55. For 
> example, draft-bao's section 2.1, reqts #2, #3, & #5 do not seem to 
> be documented in RFC 5654.
> 

> I'm confused. You are asking whether RFC 5654 can be updated to 
> include something.
> 
> requirement covered in draft-bao-mpls-tp-path-transfer-reqs that you
> do not feel is covered in RFC 5654.
> 
> IMHO, R55 of RFC5654 covers both LSPs and PWs since both are "MPLS-
> TP transport path" and there is nothing further that needs to be done.
> 
> If you want to take this further, I suggest you develop the text 
> that you want to see documented somewhere, and we will more easily 
> be able to work out where it belongs.
> 
> Cheers,
> Adrian
>

---

From: Curtis Villamizar <[email-masked]>
Date: Wed, 14 Apr 2010 01:52:45 -0400

> updated to include this, or does it need to be a separate document?

Zhi,

Thanks.  That completely recovers the requirement.  Its there, now
just a matter of meeting it.

At the IETF77 mic I suggested that to do this (well) an implementation
would need state that indicates whether LSR MIB objects (insegment,
cross connect, outsegment) were allocated by CP or MP or in
transition.  If allocated by CP or in transition, MP can't touch.

If allocated by CP, it is easy enough through MP to indicate that an
LSP should undergo transition.  When the CP state is taken down, these
objects instead of being taken down would be moved from "transition"
to MP control.

The issue is going from MP to CP.  The MP can put objects into
"transition" state.  The LSP signaling would need to specify the
existing labels and then take them from transition to CP control.
That is where standards work would be needed to define a small amount
of signaling, unless we can find an existing mechanism to reuse/abuse.

Curtis

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 14 Apr 2010 12:18:36 +0100

Hi,

Note that RFC 3813 has objects such as mplsInSegmentOwner of type MplsOwner 
(see RFC 3811).

The "small amounts of signaling" would appear to be present in 
draft-ietf-ccamp-pc-spc-rsvpte-ext

I think that it is valuable to look at the applicability of these mechanisms 
to MPLS-TP, and it would be useful if you could try to identify specific 
features that cannot be provided by the existing mechanisms. Fundamentally, 
I don't see why this operation in MPLS-TP would be any different from any 
other transport network.

Cheers,
Adrian
----- Original Message ----- 
From: "Curtis Villamizar" <[email-masked]>
To: "Zhi-Wei Lin" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Wednesday, April 14, 2010 6:52 AM
Subject: Re: [mpls-tp] draft-bao-mpls-tp-path-transfer-reqs

>
> In message 
> <[email-masked]>
> Zhi-Wei Lin writes:
>>
>>
>> Hi,
>>
>> > In message 
>> > <[email-masked]>
>> > Vishwas Manral writes:
>> > >
>> > > Hi,
>> > >